Page MenuHomePhabricator

setup/install cescout1001.eqiad.wmnet
Open, MediumPublic

Description

This task will track the setup of a spare pool system for use as a postgres system for censorship monitoring scripts. The use of the spare pool system was approved on T238652 and replacement SATA disks (swapping out smaller SSDs) on T239158.

censorship1001:

  • - system allocation approved on T238652.
  • - netbox hostname updated to censorship1001 and status set to planned.
  • - apply a hostname label front/back of server.
  • - swap out the dual 480GB SSDs out for the dual 2TB SATA disks ordered on T239158.
  • - mgmt dns entries added for both asset tag and hostname (should already exist for hostname)
  • - network port setup (description, enable, vlan)
    • end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged
  • - handoff for service implementation
  • - service implementer changes from 'staged' status to 'active' status in netbox'

Details

Related Gerrit Patches:
operations/puppet : productionAdding netboot and dhcp file for cescout1001
operations/dns : masterUpdating hostname to reflect requested change
operations/puppet : productioncensorship1001.eqiad.wmnet setup
operations/dns : mastercensorship1001.eqiad.wmnet dns updates

Event Timeline

RobH created this task.Nov 26 2019, 5:15 PM
RobH moved this task from Backlog to Racking Tasks on the ops-eqiad board.
RobH added a subscriber: Jclark-ctr.

@ssingh: I assigned this to you for feedback on the hostname. It should be reassigned to @Jclark-ctr for implementation when updated.

Thanks!

RobH moved this task from Backlog to Acknowledged on the Operations board.Nov 26 2019, 5:16 PM
RobH renamed this task from setup/install postgres db system <hostname to be determined> to setup/install censorship1001.eqiad.wmnet.Nov 26 2019, 5:21 PM
RobH reassigned this task from ssingh to Jclark-ctr.
RobH triaged this task as Medium priority.
RobH mentioned this in Unknown Object (Task).
RobH updated the task description. (Show Details)
RobH updated the task description. (Show Details)Nov 26 2019, 5:23 PM

IRC Update: hostname decision via irc duscussion with @ssingh resulted in 'censorship1001' as hostname. Stole task back and updated, then pushed to John for implementation when the SATA disks arrive in 1-3 business days.

Labeled Host
swap out the dual 480GB SSDs out for the dual 2TB SATA disks

Jclark-ctr reassigned this task from Jclark-ctr to RobH.Dec 12 2019, 8:46 PM
Jclark-ctr updated the task description. (Show Details)

Change 556808 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] censorship1001.eqiad.wmnet dns updates

https://gerrit.wikimedia.org/r/556808

Change 556808 merged by RobH:
[operations/dns@master] censorship1001.eqiad.wmnet dns updates

https://gerrit.wikimedia.org/r/556808

RobH updated the task description. (Show Details)Dec 12 2019, 9:01 PM

Change 556823 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] censorship1001.eqiad.wmnet setup

https://gerrit.wikimedia.org/r/556823

Hi. After some more discussion internally, we have decided that we should set the hostname to cescout1001 instead of censorship1001 which is what we agreed to earlier.

I am sorry for the confusion and I am happy to help with the renaming. Thanks.

Change 564786 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Updating hostname to reflect requested change

https://gerrit.wikimedia.org/r/564786

Change 564786 merged by Cmjohnson:
[operations/dns@master] Updating hostname to reflect requested change

https://gerrit.wikimedia.org/r/564786

updated hostname to cescout1001

  • physical label
  • netbox
  • network switch
  • mgmt and production DNS updated
Cmjohnson renamed this task from setup/install censorship1001.eqiad.wmnet to setup/install censcout1001.eqiad.wmnet.Jan 14 2020, 9:00 PM
Cmjohnson renamed this task from setup/install censcout1001.eqiad.wmnet to setup/install cescout1001.eqiad.wmnet.
RobH reassigned this task from RobH to Cmjohnson.Jan 14 2020, 11:04 PM
RobH removed a subscriber: RobH.
Cmjohnson added a subscriber: RobH.Jan 22 2020, 9:43 PM

@ssingh Do you know what type of partitioning this gets? maybe @RobH knows?

RobH removed a subscriber: RobH.Jan 22 2020, 11:34 PM

Change 570081 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Adding netboot and dhcp file for cescout1001

https://gerrit.wikimedia.org/r/570081

Change 570081 merged by Cmjohnson:
[operations/puppet@production] Adding netboot and dhcp file for cescout1001

https://gerrit.wikimedia.org/r/570081

Cmjohnson updated the task description. (Show Details)Tue, Feb 4, 5:28 PM
Cmjohnson reassigned this task from Cmjohnson to ssingh.Tue, Feb 4, 7:52 PM
Cmjohnson updated the task description. (Show Details)

@ssingh this server is ready for implementation. I have assigned it t you and removed the ops-eqiad tag